当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

Fedora9下Gsopcast的编译安装

Gsopcast目前最新版本是0.4.0,但直接下载回来发现安装有问题,下面一一解决,环境是Fedora9。1)checkingforlibasoundheadersversion>=1.0.12...notpresent.解决:[root@localhostall-20071007]#yuminstallalsa-*2)在编译过程中不断的提示类似说'

Gsopcast目前最新版本是0.4.0,但直接下载回来发现安装有问题,下面一一解决,环境是Fedora 9。

1)checking for libasound headers version >= 1.0.12... not present.

解决:[root@localhost all-20071007]# yum install alsa-*

2)在编译过程中不断的提示类似说'strstr','strlen','memset'之类的无定义。

解决:在每个出错的CC文件前面加上#include

OK,终于顺利的编译完成了gsopcast.

下面说一下使用上的问题。

由于目前国家收紧对网络视频的监管,像优酷,56,之类的网站已经面临要关的局面了。所以sopcast的官方网站www.sopcast.org已经是上不去的。所以gsopcast中的列表获取地址改为http://channel.sopcast.com/gchlxml

同时由于新版本的sp-sc已经变更了名字。

[root@localhost gsopcast-0.4.0]# ln -s /usr/bin/sp-sc-auth /usr/bin/sp-sc

OK,大功告成,可以在Gsopcast中直接运行来看片了。(出处dreamthousand)

吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | 凯发国际娱乐 | 凯发国际娱乐下载 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有